#include <iostream>
#include <cstring>
#include <cstdlib>

#include "syntax.h"

using namespace std;

IdNode::IdNode(char * id) {
  this->id = string(id);
}

void IdNode::display() {
  cout << id;
}

NumNode::NumNode(float num) {
  this->num = num;
}

void NumNode::display() {
  
}

StringNode::StringNode(char *str) {
  this->stringVal = str;
}

void StringNode::display() {
  
}

OpNode::OpNode(int op, Node *first, Node *second) {
  this->op = op;
  this->first = first;
  this->second = second;
}

void OpNode::display() {
  
}

void print_expression_list(NodeList *list) {
  for (Node *expr : *list) {
    expr->display();
  }
}
